package project.brain.component;
import java.io.*;
import java.net.*;

import project.brain.packet.Packet;

public class Net_Server implements Runnable{
	private int port;
	private ServerSocket server; 
	private Socket client = null;
	private int limitAttendeeNumber;
	private static int currentAttendeeNumber=0;
	private final int DIV_EXCEED = 14;
	private static String password="";
	
	public Net_Server(int port, int limitAttendeeNumber){
		this.port = port;
		this.limitAttendeeNumber = limitAttendeeNumber;
		try{
			server = new ServerSocket(this.port);	
		}catch(IOException ioe){}
		new Thread(this).start(); 
	}
	
	public Net_Server(int port, int limitAttendeeNumber, String password){
		this.port = port;
		this.limitAttendeeNumber = limitAttendeeNumber;
		Net_Server.password = password;
		try{
			server = new ServerSocket(this.port);	
		}catch(IOException ioe){}
		new Thread(this).start();
	}
	
	public void run(){
		Log.createLog();
		while(true){
			try{
				client = server.accept();
				if(limitAttendeeNumber > currentAttendeeNumber || limitAttendeeNumber == 0){
					currentAttendeeNumber++;
					new Net_Handler(client);
					continue;
				}
				Packet exceedPacket = new Packet(DIV_EXCEED);
				ObjectOutputStream objOut = new ObjectOutputStream(client.getOutputStream());
				objOut.writeObject(exceedPacket);
				objOut.flush();
			}catch(IOException ioe){
				ioe.printStackTrace();
			}
		}
	}
	
	public static void setCurrentAttendeeNumber(int number){
		currentAttendeeNumber = number;
	}
	public static String getPassword(){
		return password;
	}
}