package project.init;
import java.awt.*;
import javax.swing.*;

public class IntroScreen extends JPanel {
	private static final long serialVersionUID = 1L;
	private Image introImage;

	public IntroScreen() {
		introImage = getToolkit().getImage("images/IntroImage.jpg");
	}

	public void paint(Graphics g) {
		g.clearRect(0, 0, 1000, 600); 
		if (getToolkit().prepareImage(introImage, -1, -1, this) == false) {
			g.setColor(Color.blue);
			g.setFont(new Font("TimesRoman", Font.BOLD, 15));
			g.drawString("Wait for Loading...", 430, 290);
		} else {
			g.drawImage(introImage, 0, 0, this);
		}
	}
}