package project.brain.component;

import java.io.*;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class Log {
	private static BufferedWriter log;
	private static SimpleDateFormat dateFormat;
	private static Date curDate;
	
	public static void createLog() {
		File dir = new File(".\\log\\");
		if (!dir.isDirectory()) {
			dir.mkdirs();
		}

		dateFormat = new SimpleDateFormat("yyyy-MM-dd, [HH-mm-ss]", Locale.KOREA); 
		curDate = new Date();
		
		String fileName = ".\\log\\ȸǷα __" + dateFormat.format(curDate) + ".txt";
		
		try {
			log = new BufferedWriter(new FileWriter(fileName));
			dateFormat = new SimpleDateFormat("yyyy-MM-dd, [HH:mm:ss]", Locale.KOREA);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void appendLog(String msg) {
		try {
			curDate = new Date();
			log.write("("+dateFormat.format(curDate)+") : " + msg);
			log.newLine();
			log.flush();
		} catch (Exception e) {
			return;
		}
	}
}
